Index: factory/facFqBivar.cc
===================================================================
--- factory/facFqBivar.cc	(revision 64c923912a0fd9eb0092e41e49922c2ec9c5fb4d)
+++ factory/facFqBivar.cc	(revision d9357b93f2957d0cd01e1c353822adb5598cc142)
@@ -450,5 +450,5 @@
 factorRecombination (CFList& factors, CanonicalForm& F,
                      const CanonicalForm& N, DegreePattern& degs, int s,
-                     int thres
+                     int thres, const modpk& b
                     )
 {
@@ -639,5 +639,6 @@
 earlyFactorDetection (CFList& reconstructedFactors, CanonicalForm& F, CFList&
                       factors, int& adaptedLiftBound, int*& factorsFoundIndex,
-                      DegreePattern& degs, bool& success, int deg)
+                      DegreePattern& degs, bool& success, int deg,
+                      const modpk& b)
 {
   DegreePattern bufDegs1= degs;
@@ -860,5 +861,5 @@
                     earlyFactors, DegreePattern& degs, int& liftBound,
                     const CFList& uniFactors, const ExtensionInfo& info,
-                    const CanonicalForm& eval)
+                    const CanonicalForm& eval, const modpk& b)
 {
   Variable alpha= info.getAlpha();
Index: factory/facFqBivar.h
===================================================================
--- factory/facFqBivar.h	(revision 64c923912a0fd9eb0092e41e49922c2ec9c5fb4d)
+++ factory/facFqBivar.h	(revision d9357b93f2957d0cd01e1c353822adb5598cc142)
@@ -646,8 +646,9 @@
                 int s,                 ///< [in] algorithm starts checking
                                        ///< subsets of size s
-                int thres              ///< [in] threshold for the size of
+                int thres,             ///< [in] threshold for the size of
                                        ///< subsets which are checked, for a
                                        ///< full factor recombination choose
                                        ///< thres= factors.length()/2
+                const modpk& b=modpk() ///< [in] coeff bound
                     );
 
@@ -694,5 +695,6 @@
                                    ///< whenever we find a factor
            bool& success,          ///< [in,out] indicating success
-           int deg                 ///< [in] stage of Hensel lifting
+           int deg,                ///< [in] stage of Hensel lifting
+           const modpk& b= modpk() ///< [in] coeff bound
                      );
 
@@ -741,5 +743,6 @@
         const CFList& uniFactors,  ///< [in] univariate factors
         const ExtensionInfo& info, ///< [in] information about extension
-        const CanonicalForm& eval  ///< [in] evaluation point
+        const CanonicalForm& eval, ///< [in] evaluation point
+        const modpk& b= modpk()    ///< [in] coeff bound
                   );
 
Index: factory/facHensel.cc
===================================================================
--- factory/facHensel.cc	(revision 64c923912a0fd9eb0092e41e49922c2ec9c5fb4d)
+++ factory/facHensel.cc	(revision d9357b93f2957d0cd01e1c353822adb5598cc142)
@@ -607,5 +607,5 @@
 void
 henselLift12 (const CanonicalForm& F, CFList& factors, int l, CFArray& Pi,
-              CFList& diophant, CFMatrix& M, bool sort)
+              CFList& diophant, CFMatrix& M, bool sort, const modpk& b)
 {
   if (sort)
@@ -647,5 +647,6 @@
 void
 henselLiftResume12 (const CanonicalForm& F, CFList& factors, int start, int
-                    end, CFArray& Pi, const CFList& diophant, CFMatrix& M)
+                    end, CFArray& Pi, const CFList& diophant, CFMatrix& M,
+                    const modpk& b)
 {
   CFArray bufFactors= CFArray (factors.length());
Index: factory/facHensel.h
===================================================================
--- factory/facHensel.h	(revision 64c923912a0fd9eb0092e41e49922c2ec9c5fb4d)
+++ factory/facHensel.h	(revision d9357b93f2957d0cd01e1c353822adb5598cc142)
@@ -25,4 +25,5 @@
 
 #include "canonicalform.h"
+#include "fac_util.h"
 
 #ifdef HAVE_NTL
@@ -47,6 +48,7 @@
               CFList& diophant,       ///< [in,out] result of diophantine()
               CFMatrix& M,            ///< [in,out] stores intermediate results
-              bool sort= true         ///< [in] sort factors by degree in
+              bool sort= true,        ///< [in] sort factors by degree in
                                       ///< Variable(1)
+              const modpk& b= modpk ()///< [in] coeff bound
              );
 
@@ -68,6 +70,7 @@
                                             ///< results
                     const CFList& diophant, ///< [in] result of diophantine
-                    CFMatrix& M             ///< [in,out] stores intermediate
+                    CFMatrix& M,            ///< [in,out] stores intermediate
                                             ///< results
+                    const modpk& b= modpk() ///< [in] coeff bound
                    );
 
